RCCE(3)

NAME
RCCE_set_frequncy_divider - changes the frequency in the power domain of the calling UE

SYNOPSIS
#include <rcce.h>

int RCCE_set_frequency_divider(int Fdiv,intFdiv_new);

DESCRIPTION
RCCE_set_frequency_divider() changes the frequency in the power domain of the calling UE without affecting the voltage. This function only initiates the desired change in the frequency if called by the master UE of the power domain. For other UEs, the call returns immediately with a return code of RCCE_SUCCESS. Because frequency changes are almost instantaneous, RCCE does not provide a non-blocking version to hide latency. The RCCE_set_frequency_divider() function will not allow a programmer to set a frequency divisor that results in a frequency too high for the current voltage.

Fdiv
    The input requested value for the frequency divisor.

Fdiv_new
    The new value of the frequency divisor.

RETURN VALUE
Upon successful completion RCCE_set_frequency_divider() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.